- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files
- Directories
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Friends

# QFuture< void > Class Template Reference

Search for all occurrences

## Detailed Description

### template<>
class QFuture< void >

Definition at line 194 of file qfuture.h.

`#include <qfuture.h>`

List of all members.

## Public Member Functions
| QFuture ()
| QFuture (QFutureInterfaceBase *p)
| QFuture (const QFuture &other)
| ~QFuture ()
QFuture & | operator= (const QFuture &other)
bool | operator== (const QFuture &other) const
bool | operator!= (const QFuture &other) const
template<typename T >
| QFuture (const QFuture< T > &other)
template<typename T >
QFuture< void > & | operator= (const QFuture< T > &other)
void | cancel ()
bool | isCanceled () const
void | setPaused (bool paused)
bool | isPaused () const
void | pause ()
void | resume ()
void | togglePaused ()
bool | isStarted () const
bool | isFinished () const
bool | isRunning () const
int | resultCount () const
int | progressValue () const
int | progressMinimum () const
int | progressMaximum () const
QString | progressText () const
void | waitForFinished ()
## Friends
class | QFutureWatcher< void >

## Constructor & Destructor Documentation

QFuture | ( |  | ) | `[inline]`

Search for all occurrences

Definition at line 197 of file qfuture.h.

            : d(QFutureInterface<void>::canceledResult())
        { }

QFuture | ( | QFutureInterfaceBase * | p | ) | `[inline, explicit]`

Search for all occurrences

Definition at line 200 of file qfuture.h.

            : d(*p)
        { }

QFuture | ( | const QFuture< void > & | other | ) | `[inline]`

Search for all occurrences

Definition at line 203 of file qfuture.h.

            : d(other.d)
        { }

~QFuture | ( |  | ) | `[inline]`

Search for all occurrences

Definition at line 206 of file qfuture.h.

        { }

QFuture | ( | const QFuture< T > & | other | ) | `[inline]`

Search for all occurrences

Definition at line 215 of file qfuture.h.

            : d(other.d)
        { }

## Member Function Documentation

QFuture& operator= | ( | const QFuture< void > & | other | ) |

bool operator== | ( | const QFuture< void > & | other | ) | const `[inline]`

Definition at line 210 of file qfuture.h.

    { return (d == other.d); }

bool operator!= | ( | const QFuture< void > & | other | ) | const `[inline]`

Definition at line 211 of file qfuture.h.

    { return (d != other.d); }

QFuture<void>& operator= | ( | const QFuture< T > & | other | ) | `[inline]`

Definition at line 220 of file qfuture.h.

        {
            d = other.d;
            return *this;
        }

void cancel | ( |  | ) | `[inline]`

Search for all occurrences

Definition at line 227 of file qfuture.h.

    { d.cancel(); }

bool isCanceled | ( |  | ) | const `[inline]`

Search for all occurrences

Definition at line 228 of file qfuture.h.

    { return d.isCanceled(); }

void setPaused | ( | bool | paused | ) | `[inline]`

Search for all occurrences

Definition at line 230 of file qfuture.h.

    { d.setPaused(paused); }

bool isPaused | ( |  | ) | const `[inline]`

Search for all occurrences

Definition at line 231 of file qfuture.h.

    { return d.isPaused(); }

void pause | ( |  | ) | `[inline]`

Search for all occurrences

Definition at line 232 of file qfuture.h.

    { setPaused(true); }

void resume | ( |  | ) | `[inline]`

Search for all occurrences

Definition at line 233 of file qfuture.h.

    { setPaused(false); }

void togglePaused | ( |  | ) | `[inline]`

Search for all occurrences

Definition at line 234 of file qfuture.h.

    { d.togglePaused(); }

bool isStarted | ( |  | ) | const `[inline]`

Search for all occurrences

Definition at line 236 of file qfuture.h.

    { return d.isStarted(); }

bool isFinished | ( |  | ) | const `[inline]`

Search for all occurrences

Definition at line 237 of file qfuture.h.

    { return d.isFinished(); }

bool isRunning | ( |  | ) | const `[inline]`

Search for all occurrences

Definition at line 238 of file qfuture.h.

    { return d.isRunning(); }

int resultCount | ( |  | ) | const `[inline]`

Search for all occurrences

Definition at line 240 of file qfuture.h.

    { return d.resultCount(); }

int progressValue | ( |  | ) | const `[inline]`

Search for all occurrences

Definition at line 241 of file qfuture.h.

    { return d.progressValue(); }

int progressMinimum | ( |  | ) | const `[inline]`

Search for all occurrences

Definition at line 242 of file qfuture.h.

    { return d.progressMinimum(); }

int progressMaximum | ( |  | ) | const `[inline]`

Search for all occurrences

Definition at line 243 of file qfuture.h.

    { return d.progressMaximum(); }

QString progressText | ( |  | ) | const `[inline]`

Search for all occurrences

Definition at line 244 of file qfuture.h.

    { return d.progressText(); }

void waitForFinished | ( |  | ) | `[inline]`

Search for all occurrences

Definition at line 245 of file qfuture.h.

    { d.waitForFinished(); }

## Friends And Related Function Documentation

friend class QFutureWatcher< void > `[friend]`

Search for all occurrences

Definition at line 248 of file qfuture.h.

The documentation for this class was generated from the following file:

- QtCore/qfuture.h